Package org.apache.calcite.avatica.proto

## Class Responses

- java.lang.Object
- - org.apache.calcite.avatica.proto.Responses

    public final class Responses
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Responses.CloseConnectionResponse` Response to CloseConnectionRequest {
`static interface` `Responses.CloseConnectionResponseOrBuilder`
`static class` `Responses.CloseStatementResponse` Response to CloseStatementRequest
`static interface` `Responses.CloseStatementResponseOrBuilder`
`static class` `Responses.CommitResponse` Response to a commit request
`static interface` `Responses.CommitResponseOrBuilder`
`static class` `Responses.ConnectionSyncResponse` Response to ConnectionSyncRequest
`static interface` `Responses.ConnectionSyncResponseOrBuilder`
`static class` `Responses.CreateStatementResponse` Response to CreateStatementRequest
`static interface` `Responses.CreateStatementResponseOrBuilder`
`static class` `Responses.DatabasePropertyElement` Protobuf type `DatabasePropertyElement`
`static interface` `Responses.DatabasePropertyElementOrBuilder`
`static class` `Responses.DatabasePropertyResponse` Response for Meta#getDatabaseProperties()
`static interface` `Responses.DatabasePropertyResponseOrBuilder`
`static class` `Responses.ErrorResponse` Send contextual information about some error over the wire from the server.
`static interface` `Responses.ErrorResponseOrBuilder`
`static class` `Responses.ExecuteBatchResponse` Response to a batch update request
`static interface` `Responses.ExecuteBatchResponseOrBuilder`
`static class` `Responses.ExecuteResponse` Response to PrepareAndExecuteRequest
`static interface` `Responses.ExecuteResponseOrBuilder`
`static class` `Responses.FetchResponse` Response to FetchRequest
`static interface` `Responses.FetchResponseOrBuilder`
`static class` `Responses.OpenConnectionResponse` Response to OpenConnectionRequest {
`static interface` `Responses.OpenConnectionResponseOrBuilder`
`static class` `Responses.PrepareResponse` Response to PrepareRequest
`static interface` `Responses.PrepareResponseOrBuilder`
`static class` `Responses.ResultSetResponse` Response that contains a result set.
`static interface` `Responses.ResultSetResponseOrBuilder`
`static class` `Responses.RollbackResponse` Response to a rollback request
`static interface` `Responses.RollbackResponseOrBuilder`
`static class` `Responses.RpcMetadata` Generic metadata for the server to return with each response.
`static interface` `Responses.RpcMetadataOrBuilder`
`static class` `Responses.SyncResultsResponse` Protobuf type `SyncResultsResponse`
`static interface` `Responses.SyncResultsResponseOrBuilder`

### Field Summary

Fields
`private static com.google.protobuf.Descriptors.FileDescriptor` `descriptor`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_CloseConnectionResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_CloseConnectionResponse_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_CloseStatementResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_CloseStatementResponse_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_CommitResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_CommitResponse_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_ConnectionSyncResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_ConnectionSyncResponse_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_CreateStatementResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_CreateStatementResponse_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_DatabasePropertyElement_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_DatabasePropertyElement_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_DatabasePropertyResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_DatabasePropertyResponse_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_ErrorResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_ErrorResponse_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_ExecuteBatchResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_ExecuteBatchResponse_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_ExecuteResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_ExecuteResponse_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_FetchResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_FetchResponse_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_OpenConnectionResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_OpenConnectionResponse_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_PrepareResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_PrepareResponse_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_ResultSetResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_ResultSetResponse_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_RollbackResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_RollbackResponse_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_RpcMetadata_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_RpcMetadata_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_SyncResultsResponse_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_SyncResultsResponse_fieldAccessorTable`

### Constructor Summary

Constructors
`private` `Responses()`

### Method Summary

All Methods Static Methods Concrete Methods
`static com.google.protobuf.Descriptors.FileDescriptor` `getDescriptor()`
`static void` `registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)`
`static void` `registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### internal_static_ResultSetResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_ResultSetResponse_descriptor

#### internal_static_ResultSetResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_ResultSetResponse_fieldAccessorTable

#### internal_static_ExecuteResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_ExecuteResponse_descriptor

#### internal_static_ExecuteResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_ExecuteResponse_fieldAccessorTable

#### internal_static_PrepareResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_PrepareResponse_descriptor

#### internal_static_PrepareResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_PrepareResponse_fieldAccessorTable

#### internal_static_FetchResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_FetchResponse_descriptor

#### internal_static_FetchResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_FetchResponse_fieldAccessorTable

#### internal_static_CreateStatementResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_CreateStatementResponse_descriptor

#### internal_static_CreateStatementResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_CreateStatementResponse_fieldAccessorTable

#### internal_static_CloseStatementResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_CloseStatementResponse_descriptor

#### internal_static_CloseStatementResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_CloseStatementResponse_fieldAccessorTable

#### internal_static_OpenConnectionResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_OpenConnectionResponse_descriptor

#### internal_static_OpenConnectionResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_OpenConnectionResponse_fieldAccessorTable

#### internal_static_CloseConnectionResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_CloseConnectionResponse_descriptor

#### internal_static_CloseConnectionResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_CloseConnectionResponse_fieldAccessorTable

#### internal_static_ConnectionSyncResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_ConnectionSyncResponse_descriptor

#### internal_static_ConnectionSyncResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_ConnectionSyncResponse_fieldAccessorTable

#### internal_static_DatabasePropertyElement_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_DatabasePropertyElement_descriptor

#### internal_static_DatabasePropertyElement_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_DatabasePropertyElement_fieldAccessorTable

#### internal_static_DatabasePropertyResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_DatabasePropertyResponse_descriptor

#### internal_static_DatabasePropertyResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_DatabasePropertyResponse_fieldAccessorTable

#### internal_static_ErrorResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_ErrorResponse_descriptor

#### internal_static_ErrorResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_ErrorResponse_fieldAccessorTable

#### internal_static_SyncResultsResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_SyncResultsResponse_descriptor

#### internal_static_SyncResultsResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_SyncResultsResponse_fieldAccessorTable

#### internal_static_RpcMetadata_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_RpcMetadata_descriptor

#### internal_static_RpcMetadata_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_RpcMetadata_fieldAccessorTable

#### internal_static_CommitResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_CommitResponse_descriptor

#### internal_static_CommitResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_CommitResponse_fieldAccessorTable

#### internal_static_RollbackResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_RollbackResponse_descriptor

#### internal_static_RollbackResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_RollbackResponse_fieldAccessorTable

#### internal_static_ExecuteBatchResponse_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_ExecuteBatchResponse_descriptor

#### internal_static_ExecuteBatchResponse_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_ExecuteBatchResponse_fieldAccessorTable

#### descriptor

    private static com.google.protobuf.Descriptors.FileDescriptor descriptor

### Constructor Detail

#### Responses

    private Responses()

### Method Detail

#### registerAllExtensions

    public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)

#### registerAllExtensions

    public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)

#### getDescriptor

    public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()